## qutecom 2.2+dfsg1

=== wifo/phapi/CMakeLists.txt ===
ow_create_shared_library(phapi)

ow_use_private_libraries(
	osip2
	exosip
	ortp
	stun
	gsm
	phapiutil
	fidlib
	speexec
	wtimer
	svoip
	pthread
	g722
	g726
)

ow_add_private_compile_flags(
	${PHAPI_OPTIMIZATION_FLAGS}
)

#if (PHAPI_CODEC_ILBC_SUPPORT)
#	ow_use_private_libraries(
#		ilbc
#	)
#endif (PHAPI_CODEC_ILBC_SUPPORT)


ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_BINARY_DIR}
)

if (WIN32)
	# MSVC or MinGW
	ow_use_private_libraries(
		msdirent
	)
endif (WIN32)

ow_add_private_definitions(
	-DUSE_PCM=1
	-DNEED_ECMUX=1
	-DMINIMIZE_COPYING=1
	-DSCHEDULING_MODE=0
	-DBLOCKING_MODE=0
	-DDO_ECHO_CAN=1
	-DUSE_WAVEIN_CBK=1
	-DPSEUDO_AEC=0
	-DNO_ECHO__SUPPRESSOR=1
#	-DOSIP_MT=1
#	-DENABLE_TRACE=0
	-DPH_VIDEO_USELOCK=1
	-DUSE_SPXEC=1
	-DPH_FORCE_16KHZ=1
	-DUSE_FLV1_OVER_H261=1
)
if (WIN32)
	ow_add_private_definitions(
		-DBUILD_PHAPI_DLL
	)
endif (WIN32)

if (PHAPI_CODEC_AMR_SUPPORT)
	ow_add_private_definitions(
		-DENABLE_AMR_WB=1
		-DENABLE_AMR=1
	)
endif (PHAPI_CODEC_AMR_SUPPORT)

if (PHAPI_CODEC_ILBC_SUPPORT)
	ow_add_private_definitions(
		-DENABLE_ILBC=1
	)
endif (PHAPI_CODEC_ILBC_SUPPORT)

SET(QUTECOM_UA "qutecom/rev-${SVN_REVISION}-trunk")
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config-phapi.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-phapi.h)

#if (MSVC)
#	ow_add_private_definitions(
#		-DQUTECOM_UA="""qutecom/rev${SVN_REVISION}/trunk/"""
#	)
#else (MSVC)
#	ow_add_private_definitions(
#		-DQUTECOM_UA='"qutecom/rev${SVN_REVISION}/trunk/"'
#	)
#endif (MSVC)

if (BUILDID_SUPPORT)
	ow_add_private_definitions(
		-DSUBVERSION_REVISION="${SVN_REVISION}"
	)
endif (BUILDID_SUPPORT)

# PH_FORCE_16KHZ : activate FORCED 16 KHZ SAMPLING
# SUBVERSION_REVISION : grab the svn revision number
# QUTECOM_UA : set the qutecom user agent. It should
#                 be later changed to "QuteCom NG"

ow_add_sources(
	aec2.cpp
	nortel.c
	owpl_adapter.c
	owpl_plugin.c
	owpl_log.c
	phapi-old.c
	phapi.c
	phaudiodriver.c
	phcodec.c
	phevents.c
	phlog.c
	phmbuf.c
	phmedia-audio-file.c
#	phmedia-audio-null.c
	phmedia-audio.c
	phmedia.c
	phrecorder.c
	phresample.c
	phvline.c
	tonegen.c
	wav.c
	wlm.c
)

ow_add_sources(
	owpl.h
	owpl_plugin.h
	phapi.h
	phapi-old.h
	phcall.h
	phevents.h
	phglobal.h
	phvline.h
)


if (PHAPI_SPEEXWB_REPLACES_G726WB_HACK)
	ow_add_private_definitions(
		-DPH_SPEEXWB_REPLACES_G726WB
	)
else (PHAPI_SPEEXWB_REPLACES_G726WB_HACK)
	if (PHAPI_SPEEXWB_REPLACES_AMRNB_HACK)
		ow_add_private_definitions(
			-DPH_SPEEXWB_REPLACES_AMRNB
		)
	else (PHAPI_SPEEXWB_REPLACES_AMRNB_HACK)
		if (PHAPI_SPEEXWB_REPLACES_AMRWB_HACK)
			ow_add_private_definitions(
				-DPH_SPEEXWB_REPLACES_AMRWB
			)
		endif (PHAPI_SPEEXWB_REPLACES_AMRWB_HACK)
	endif (PHAPI_SPEEXWB_REPLACES_AMRNB_HACK)
endif (PHAPI_SPEEXWB_REPLACES_G726WB_HACK)

if (PHAPI_EMBEDDED_SUPPORT)
	ow_add_private_definitions(
		-DSCHEDULING_MODE
	)
endif (PHAPI_EMBEDDED_SUPPORT)

if (PHAPI_QOS_DEBUG_SUPPORT)
	ow_add_private_definitions(
		-DPHAPI_QOS_DEBUG
	)
endif (PHAPI_QOS_DEBUG_SUPPORT)

if (PHAPI_VIDEO_SUPPORT)
	ow_use_private_libraries(
		webcam
	)

	ow_add_private_definitions(
		-DPHAPI_VIDEO_SUPPORT
	)

	ow_add_sources(
		phcodec-h263.c
		phcodec-h263plus.c
		phcodec-h263flv1.c
		phcodec-h264.c
		phcodec-mpeg4.c
		phmedia-video.c
		phmedia-video-control.c
		phmedia-video-bwcontrol.c
		phcodec-avcodec-wrapper.c
	)
endif (PHAPI_VIDEO_SUPPORT)

if (WIN32)
	ow_add_private_libraries(
		winmm
		ws2_32
		user32
		shell32
		advapi32
		wininet
		iphlpapi
		strmiids
		ole32
	)

	ow_add_sources(
		phmedia-winmm.c
	)

	ow_add_private_definitions(
		-DT_MSVC
	)

	if (MSVC)
		ow_add_private_libraries(
			comsupp
		)
	else (MSVC)
		ow_add_private_libraries(
			gdi32
		)
	endif (MSVC)
endif (WIN32)

if (UNIX AND NOT WIN32)
	if (APPLE)
		ow_add_sources(
			phmedia-coreaudio.c
		)

		ow_add_private_link_flags(
			# avoid a -multi_module error (see http://gcc.gnu.org/ml/gcc/2005-06/msg00184.html)
			-Wl,-single_module
			# avoid a "has local relocation entries in non-writable section" (see http://lists.mplayerhq.hu/pipermail/ffmpeg-devel/2006-October/017814.html)
			-read_only_relocs suppress
		)
	else (APPLE)
		ow_use_private_libraries(
			glib2
		)

		ow_add_private_libraries(
			pthread
			rt
		)

		ow_add_private_definitions(
			-DPORTAUDIO_MONO_STREAM
		)

		if (PHAPI_SAMPLERATE_SUPPORT)
			ow_use_private_libraries(
				samplerate
			)

			ow_add_private_definitions(
				-DPH_USE_RESAMPLE
			)
		endif (PHAPI_SAMPLERATE_SUPPORT)

		if (PHAPI_AUDIO_ALSA_SUPPORT)
			ow_use_private_libraries(
				alsa
			)
			ow_add_private_definitions(
				-DENABLE_ALSA
			)
			ow_add_sources(
				phmedia-alsa.c
			)
		endif (PHAPI_AUDIO_ALSA_SUPPORT)

		if (PHAPI_AUDIO_OSS_SUPPORT)
			ow_add_private_definitions(
				-DENABLE_OSS
			)
			ow_add_sources(
				phmedia-oss.c
			)
		endif (PHAPI_AUDIO_OSS_SUPPORT)

		if (PHAPI_AUDIO_ARTS_SUPPORT)
			ow_use_private_libraries(
				arts
			)

			ow_add_private_definitions(
				-DENABLE_ARTS
			)

			ow_add_sources(
				phmedia-audio-arts.c
			)
		endif (PHAPI_AUDIO_ARTS_SUPPORT)

		if (PHAPI_AUDIO_ESD_SUPPORT)
			ow_use_private_libraries(
				esd
			)

			ow_add_private_definitions(
				-DENABLE_ESD
			)

			ow_add_sources(
				phmedia-audio-esd.c
			)
		endif (PHAPI_AUDIO_ESD_SUPPORT)
	endif (APPLE)
endif (UNIX AND NOT WIN32)

if (OWSOUND_PORTAUDIO_SUPPORT)
	ow_use_private_libraries(
		portaudio
	)

	ow_add_private_definitions(
		-DENABLE_PORTAUDIO
	)

	ow_add_sources(
		phmedia-portaudio.c
	)
endif (OWSOUND_PORTAUDIO_SUPPORT)

if (APPLE)
	ow_use_public_frameworks(
		AudioUnit
		CoreAudio
		AudioToolbox
		CoreServices
	)
endif (APPLE)

ow_set_library_version(0.2.0 0)

ow_create_project_binary()

if(ENABLE_UNIT_TEST)
	subdirs(
		tests
	)
endif(ENABLE_UNIT_TEST)

=== libs/3rdparty/libpurple/pidgin-2.6.6/libpurple/plugins/facebook/Makefile ===
#Customisable stuff here
LINUX32_COMPILER = i686-pc-linux-gnu-gcc
LINUX64_COMPILER = x86_64-pc-linux-gnu-gcc
WIN32_COMPILER = /usr/bin/i586-mingw32-gcc
WIN32_WINDRES = i586-mingw32-windres
#LINUX_ARM_COMPILER = arm-pc-linux-gnu-gcc
LINUX_ARM_COMPILER = arm-none-linux-gnueabi-gcc
LINUX_PPC_COMPILER = powerpc-unknown-linux-gnu-gcc
FREEBSD60_COMPILER = i686-pc-freebsd6.0-gcc
MACPORT_COMPILER = i686-apple-darwin9-gcc-4.0.1

LIBPURPLE_CFLAGS = -I/usr/include/libpurple -I/usr/local/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -DHAVE_ZLIB
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/include/json-glib-1.0 -ljson-glib-1.0
WIN32_DEV_DIR = /root/pidgin/win32-dev
WIN32_PIDGIN_DIR = /root/pidgin/pidgin-2.3.0_win32
WIN32_CFLAGS = -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_PIDGIN_DIR}/libpurple/win32 -I${WIN32_DEV_DIR}/gtk_2_0/include -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_DEV_DIR}/gtk_2_0/lib/glib-2.0/include -I/usr/include/json-glib-1.0 -Wno-format
WIN32_LIBS = -L${WIN32_DEV_DIR}/gtk_2_0/lib -L${WIN32_PIDGIN_DIR}/libpurple -lglib-2.0 -lgobject-2.0 -lintl -lpurple -lws2_32 -L. -ljson-glib-1.0 -lzlib1
MACPORT_CFLAGS = -I/opt/local/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -DHAVE_ZLIB -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -I/opt/local/include/json-glib-1.0 -arch i386 -arch ppc -dynamiclib -L/opt/local/lib -ljson-glib-1.0 -lpurple -lglib-2.0 -lgobject-2.0 -lintl -lz -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4

DEB_PACKAGE_DIR = ./debdir

FACEBOOK_SOURCES = \
	libfacebook.h \
	libfacebook.c \
	fb_blist.h \
	fb_blist.c \
	fb_connection.h \
	fb_connection.c \
	fb_conversation.h \
	fb_conversation.c \
	fb_info.h \
	fb_info.c \
	fb_managefriends.h \
	fb_managefriends.c \
	fb_messages.h \
	fb_messages.c \
	fb_notifications.h \
	fb_notifications.c \
	fb_search.h \
	fb_search.c \
	fb_util.h \
	fb_util.c \
	fb_friendlist.h \
	fb_friendlist.c
	fb_json.h \
	fb_json.c

#Standard stuff here
.PHONY:	all clean install sourcepackage

all:	libfacebook.so libfacebook.dll libfacebook64.so libfacebookarm.so libfacebookppc.so installers sourcepackage

install:
	cp libfacebook.so /usr/lib/purple-2/
	cp libfacebook64.so /usr/lib64/purple-2/
	cp libfacebookarm.so /usr/lib/pidgin/
	cp libfacebookppc.so /usr/lib/purple-2/
	cp facebook16.png /usr/share/pixmaps/pidgin/protocols/16/facebook.png
	cp facebook22.png /usr/share/pixmaps/pidgin/protocols/22/facebook.png
	cp facebook48.png /usr/share/pixmaps/pidgin/protocols/48/facebook.png

installers:	pidgin-facebookchat.exe pidgin-facebookchat.deb pidgin-facebookchat.tar.bz2

clean:
	rm -f libfacebook.so libfacebook.dll libfacebook64.so libfacebookarm.so libfacebookppc.so pidgin-facebookchat.exe pidgin-facebookchat.deb pidgin-facebookchat.tar.bz2 pidgin-facebookchat-source.tar.bz2
	rm -rf pidgin-facebookchat

libfacebook.so:	${FACEBOOK_SOURCES}
	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebook.so -shared -fPIC -DPIC

libfacebookarm.so:	${FACEBOOK_SOURCES}
	${LINUX_ARM_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebookarm.so -shared -fPIC -DPIC

libfacebook64.so:	${FACEBOOK_SOURCES}
	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -m64 -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebook64.so -shared -fPIC -DPIC

libfacebookppc.so:	${FACEBOOK_SOURCES}
	${LINUX_PPC_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebookppc.so -shared -fPIC -DPIC

libfacebookmacport.so: ${FACEBOOK_SOURCES}
	${MACPORT_COMPILER} ${MACPORT_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebookmacport.so -shared

pidgin-facebookchat.res:	pidgin-facebookchat.rc
	${WIN32_WINDRES} $< -O coff -o $@

libfacebook.dll:	${FACEBOOK_SOURCES} pidgin-facebookchat.res
	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} pidgin-facebookchat.res -o $@ -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -Wl,--strip-all
	upx libfacebook.dll

libfacebook-debug.dll:	${FACEBOOK_SOURCES} pidgin-facebookchat.res
	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} pidgin-facebookchat.res -o $@ -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS}

libfacebookbsd60.so:	${FACEBOOK_SOURCES}
	${FREEBSD60_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebook.so -shared -fPIC -DPIC


pidgin-facebookchat.exe:	libfacebook.dll
	echo "Dont forget to update version number"
	makensis facebook.nsi > /dev/null
	
pidgin-facebookchat.deb:	libfacebook.so libfacebookarm.so libfacebook64.so libfacebookppc.so
	echo "Dont forget to update version number"
	cp libfacebook.so ${DEB_PACKAGE_DIR}/usr/lib/purple-2/
	cp libfacebookppc.so ${DEB_PACKAGE_DIR}/usr/lib/purple-2/
	cp libfacebook64.so ${DEB_PACKAGE_DIR}/usr/lib64/purple-2/
	cp libfacebookarm.so ${DEB_PACKAGE_DIR}/usr/lib/pidgin/
	cp facebook16.png ${DEB_PACKAGE_DIR}/usr/share/pixmaps/pidgin/protocols/16/facebook.png
	cp facebook22.png ${DEB_PACKAGE_DIR}/usr/share/pixmaps/pidgin/protocols/22/facebook.png
	cp facebook48.png ${DEB_PACKAGE_DIR}/usr/share/pixmaps/pidgin/protocols/48/facebook.png
	chown -R root:root ${DEB_PACKAGE_DIR}
	chmod -R 755 ${DEB_PACKAGE_DIR}
	dpkg-deb --build ${DEB_PACKAGE_DIR} $@ > /dev/null

pidgin-facebookchat.tar.bz2:	pidgin-facebookchat.deb
	tar --bzip2 --directory ${DEB_PACKAGE_DIR} -cf $@ usr/

sourcepackage:	${FACEBOOK_SOURCES} Makefile facebook16.png facebook22.png facebook48.png COPYING facebook.nsi
	tar -cf tmp.tar $^
	mkdir pidgin-facebookchat
	mv tmp.tar pidgin-facebookchat
	tar xvf pidgin-facebookchat/tmp.tar -C pidgin-facebookchat
	rm pidgin-facebookchat/tmp.tar
	tar --bzip2 -cf pidgin-facebookchat-source.tar.bz2 pidgin-facebookchat
	rm -rf pidgin-facebookchat

=== libs/3rdparty/libpurple/pidgin-2.6.6/libpurple/plugins/skype/Makefile ===

#Customisable stuff here
LINUX32_COMPILER = i686-pc-linux-gnu-gcc
LINUX64_COMPILER = x86_64-pc-linux-gnu-gcc
WIN32_COMPILER = /usr/bin/i586-mingw32-gcc
LINUX_ARM_COMPILER = arm-none-linux-gnueabi-gcc

LIBPURPLE_CFLAGS = -I/usr/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib64/glib-2.0/include -I/usr/include
DBUS_CFLAGS = -DSKYPE_DBUS -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib64/dbus-1.0/include
WIN32_DEV_DIR = /root/pidgin/win32-dev
WIN32_PIDGIN_DIR = /root/pidgin/pidgin-2.1.1
WIN32_CFLAGS = -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_PIDGIN_DIR}/libpurple/win32 -I${WIN32_DEV_DIR}/gtk_2_0/include -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_DEV_DIR}/gtk_2_0/lib/glib-2.0/include
WIN32_LIBS = -L${WIN32_DEV_DIR}/gtk_2_0/lib -L${WIN32_PIDGIN_DIR}/libpurple -lglib-2.0 -lgobject-2.0 -lgthread-2.0 -lintl -lpurple

VV_CFLAGS = -I/usr/include/gstreamer-0.10 -DUSE_VV -I/usr/include/libxml2
WIN32_VV_CFLAGS = -I${WIN32_DEV_DIR}/gstreamer-0.10/include

DEB_PACKAGE_DIR = /root/skypeplugin

LOCALES = $(patsubst %.po, %.mo, $(wildcard po/*.po))

#Standard stuff here
.PHONY:	all clean allarch install locales uninstall

.DEPENDS: libskype.c skype_messaging.c skype_events.c debug.c

allarch:	skype4pidgin.deb skype4pidgin-installer.exe libskype_dbus.so libskype_dbus64.so libskypearm.so

#By default, 'make' compiles X11 version on local platform
all: .DEPENDS skype_messaging_x11.c skype_messaging_dbus.c
	gcc ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -O2 -pipe libskype.c -o libskype.so -shared -fPIC -DPIC
	gcc ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -O2 -pipe libskype.c -o libskype_dbus.so -shared -fPIC -DPIC ${DBUS_CFLAGS}

install: locales
	mkdir -p $(DESTDIR)/usr/share/pixmaps/pidgin/emotes/skype
	mkdir -p $(DESTDIR)/usr/share/pixmaps/pidgin/protocols
	mkdir -p $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/16
	mkdir -p $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/22
	mkdir -p $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/48
	mkdir -p $(DESTDIR)/usr/lib/purple-2
	install -m 664 theme $(DESTDIR)/usr/share/pixmaps/pidgin/emotes/skype/
	install -m 664 icons/16/skypeout.png icons/16/skype.png $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/16
	install -m 664 icons/22/skypeout.png icons/22/skype.png $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/22
	install -m 664 icons/48/skypeout.png icons/48/skype.png $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/48
	install -m 664 libskype_dbus.so libskype.so $(DESTDIR)/usr/lib/purple-2/

uninstall:
	rm -rf $(DESTDIR)/usr/share/pixmaps/pidgin/emotes/skype
	rm -rf  $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/16/skypeout.png
	rm -rf  $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/16/skype.png
	rm -rf  $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/22/skypeout.png
	rm -rf  $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/22/skype.png
	rm -rf  $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/48/skypeout.png
	rm -rf  $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/48/skype.png
	rm -rf $(DESTDIR)/usr/lib/purple-2/libskype.so
	rm -rf $(DESTDIR)/usr/lib/purple-2/libskype_dbus.so

clean:
	rm -f libskype.so libskype64.so libskype_dbus.so libskype_dbus64.so libskypearm.so libskype.dll skype4pidgin.deb skype4pidgin-installer.exe po/*.mo

libskypenet.so:  .DEPENDS skype_messaging_network.c
	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -march=athlon-xp -O2 -pipe libskype.c -o libskypenet.so -shared -fPIC -DPIC -DSKYPENET

libskype.so: .DEPENDS skype_messaging_x11.c
	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -march=athlon-xp -O2 -pipe libskype.c -o libskype.so -shared -fPIC -DPIC

libskype-vv.so: .DEPENDS skype_messaging_x11.c
	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -march=athlon-xp -O2 -pipe libskype.c -o libskype-vv.so -shared -fPIC -DPIC ${VV_CFLAGS}

libskype64.so: .DEPENDS skype_messaging_x11.c
	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskype64.so -shared -fPIC -DPIC

libskypenet64.so: .DEPENDS skype_messaging_network.c
	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskypenet64.so -shared -fPIC -DPIC -DSKYPENET

libskypearm.so: .DEPENDS skype_messaging_x11.c
	${LINUX_ARM_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -O2 -pipe libskype.c -o libskypearm.so -shared -fPIC -DPIC

libskype_dbus.so: .DEPENDS skype_messaging_dbus.c
	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -march=athlon-xp -O2 -pipe libskype.c -o libskype_dbus.so -shared -fPIC -DPIC ${DBUS_CFLAGS}

libskype_dbus64.so: .DEPENDS skype_messaging_dbus.c
	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskype_dbus64.so -shared -fPIC -DPIC ${DBUS_CFLAGS}

libskype-vv.dll: .DEPENDS skype_messaging_win32.c
	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe libskype.c -o libskype-vv.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -Wl,--strip-all -DUSE_VV ${WIN32_VV_CFLAGS}

libskype.dll: .DEPENDS skype_messaging_win32.c
	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe libskype.c -o libskype.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -Wl,--strip-all
	upx libskype.dll

libskypenet.dll: .DEPENDS skype_messaging_network.c
	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe libskype.c -o libskypenet.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -DSKYPENET -Wl,--strip-all
	upx libskypenet.dll

libskype-debug.dll: .DEPENDS skype_messaging_win32.c
	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe libskype.c -o libskype-debug.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS}

libskypenet-debug.dll: .DEPENDS skype_messaging_network.c
	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe libskype.c -o libskypenet-debug.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -DSKYPENET

po/%.mo: po/%.po
	msgfmt -cf -o $@ $<

locales:	${LOCALES}

skype4pidgin-installer.exe: libskype.dll
	date=`date +%d-%b-%Y` && sed "s/PRODUCT_VERSION \"[-a-z0-9A-Z]*\"/PRODUCT_VERSION \"$$date\"/" -i skype4pidgin.nsi
	echo "Making .exe package"
	makensis skype4pidgin.nsi > /dev/null

skype4pidgin.deb: libskype.so libskype64.so libskype_dbus.so libskype_dbus64.so libskypearm.so
	rm ${DEB_PACKAGE_DIR}/usr/lib/purple-2/libskype*.so
	cp libskype.so libskype64.so libskype_dbus.so libskype_dbus64.so libskypearm.so ${DEB_PACKAGE_DIR}/usr/lib/purple-2/
	date=`date +%F` && sed "s/Version: [-a-z0-9A-Z]*/Version: $$date/" -i ${DEB_PACKAGE_DIR}/DEBIAN/control
	echo "Making .deb package"
	dpkg-deb --build ${DEB_PACKAGE_DIR} skype4pidgin.deb > /dev/null

=== libs/3rdparty/libpurple/pidgin-2.6.6/libpurple/plugins/twitter/Makefile ===
#
# Microblog protocol plug-in
#

all: build 

include global.mak

TARGETS = libpurple-twitter-protocol$(PLUGIN_SUFFIX)

LD = $(CC)

ifeq ($(strip $(IS_WIN32)), 1)
TWITTER_INC_PATHS += -I$(GTK_TOP)/include/gtk-2.0 \
			-I$(GTK_TOP)/include/pango-1.0 \
			-I$(GTK_TOP)/include/atk-1.0 \
			-I$(GTK_TOP)/include/cairo \
			-I$(GTK_TOP)/lib/gtk-2.0/include \
			-I$(PIDGIN_TOP)/win32


LIB_PATHS += -L$(GTK_TOP)/lib \
			-L$(PURPLE_TOP) \
			-L$(PIDGIN_TOP)
			
LIBS =	-lgtk-win32-2.0 \
			-lglib-2.0 \
			-lgdk-win32-2.0 \
			-lgobject-2.0 \
			-lintl \
			-lpurple \
			-lpidgin
CFLAGS := $(PURPLE_CFLAGS) $(TWITTER_INC_PATHS)
else
CFLAGS := $(PURPLE_CFLAGS) $(PIDGIN_CFLAGS)
LIB_PATHS = 
LIBS = $(PIDGIN_LIBS)
endif

TWITTER_C_SRC = twitter.c twitter_request.c twitter_api.c
TWITTER_H_SRC = $(TWITTER_C_SRC:%.c=%.h) config.h
TWITTER_OBJ = $(TWITTER_C_SRC:%.c=%.o)

DISTFILES = $(TWITTER_C_SRC) $(TWITTER_H_SRC) Makefile global.mak version.mak

OBJECTS = $(TWITTER_OBJ)

.PHONY: clean install build

build: $(TARGETS)

install: $(TARGETS)
	rm -f $(PURPLE_PLUGIN_DIR)/libpurple-twitter-protocol$(PLUGIN_SUFFIX)
	install -m 0755 -d $(PURPLE_PLUGIN_DIR)
	cp libpurple-twitter-protocol$(PLUGIN_SUFFIX) $(PURPLE_PLUGIN_DIR)/libpurple-twitter-protocol$(PLUGIN_SUFFIX)

uninstall: 
	rm -f $(PURPLE_PLUGIN_DIR)/libpurple-twitter-protocol$(PLUGIN_SUFFIX)

clean:
	rm -f $(TARGETS) $(OBJECTS)

libpurple-twitter-protocol$(PLUGIN_SUFFIX): $(TWITTER_OBJ)
	$(LD) $(LDFLAGS) -shared $(TWITTER_OBJ) $(LIB_PATHS) $(LIBS) $(DLL_LD_FLAGS) -o libpurple-twitter-protocol$(PLUGIN_SUFFIX)

=== debian/changelog ===
qutecom (2.2+dfsg1-2ubuntu1) natty; urgency=low

  [ Ludovico Cavedon ]
  * Add find-glibconfig.patch to handle new location of glibconfig.h
    (LP: #756051).
  * Add new-videodev.patch (fix for moved videodev.h) and B-D on
    libc4l-dev.

  [ Andreas Moog ]
  * don't hardcode library paths, let pkg-config handle them

 -- Andreas Moog <amoog@ubuntu.com>  Thu, 14 Apr 2011 00:16:28 +0200

qutecom (2.2+dfsg1-2) experimental; urgency=low

  * Add build-dependency on libqtwebkit-dev or libqt4-dev older than 4.7.
  * Use correct epoch number in libqt4-dev deendency.
  * Fix handling for noopt flag in DEB_BUILD_OPTIONS.
  * Add fix-linking-binutils-gold.patch: explicitly link phapi against libdl
    on linux. Fixes linking failure with binutils-gold).

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 02 Nov 2010 23:56:45 -0700

qutecom (2.2+dfsg1-1) experimental; urgency=low

  * New upstream release.
  * Update watch file and get-orig-source script for new release.
  * Bump dependecy on Qt libraries to 4.5.
  * Removed pacthes merged upstream:
    - google-breakpad-stat.patch
    - wait-purple.patch
    - google-breakpad-gcc44.patch
  * Refresh patches:
    - remove-extra-copying-file.patch
  * Add patches:
    - fix-include-case.patch: fix case in #include.
  * Remove empty Renkoo LICENSE.txt.xx file.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 23 Oct 2010 02:11:17 -0700

qutecom (2.2~rc3.hg643~dfsg1-1) experimental; urgency=low

  * New upstream snapshot. Closes: #590234, #588003. (LP: #605162)
  * get-orig.source.sh: no longer need to remove duplicate of tinyurl.
  * Add google-breakpad-stat.patch: fix compilation with glibc 2.12.
    Closes: #590234.
  * Add wait-purple.patch: make Qt thread wait for IMWrapper thread to exit.
  * Removed pacthes merged/fixed upstream:
    - fix-build-newer-ffmpeg.patch
    - track-sipaccount-init.patch
    - fix-codec-name.patch
    - force-palette.patch
    - fix-binutils-gold.patch
    - libpurple-glib.patch
    - purple-wait-init.patch
  * Include verbatim text of BSD license in copyright file.
  * Bump Standards-Version to 3.9.1.
  * Remove Rekoo license file from package and insert its text in
    debian/copyright.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 05 Sep 2010 19:48:46 -0700

=== debian/control ===
Source: qutecom
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Marco Nenciarini <mnencia@debian.org>, Ludovico Cavedon <cavedon@debian.org>
Build-Depends: cdbs (>= 0.4.27), bzip2, debhelper (>= 7), quilt,
 patchutils (>= 0.2.25), cmake (>= 2.6), libqt4-dev (>= 4:4.5),
 libqtwebkit-dev | libqt4-dev (<< 4:4.7),
 libglib2.0-dev (>= 2.10.3), libavcodec-dev (>= 0.cvs20060823-3.1),
 libswscale-dev (>= 0.cvs20060823-3.1), libgnutls-dev (>= 1.2.9),
 libboost-serialization-dev, libboost-thread-dev, libboost-signals-dev,
 libboost-program-options-dev, uuid-dev,
 libasound2-dev (>= 1.0.11), libspeex-dev (>= 1.1.12), libssl-dev (>= 0.9.8a),
 libxml2-dev (>= 2.6.24), libsamplerate0-dev (>= 0.1.2),
 libsndfile1-dev (>= 1.0.12), libcurl4-openssl-dev (>= 7.16.1),
 dpkg-dev (>= 1.13.19), libx11-dev, python-dev, libpurple-dev (>= 2.6.6),
 libv4l-dev
Build-Conflicts: qt3-dev-tools
Standards-Version: 3.9.1
Homepage: http://www.qutecom.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/qutecom/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/qutecom/trunk/?op=log

Package: qutecom
Architecture: any
Depends: qutecom-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: wengophone, qutecom-data (<< 2.2~rc3.dfsg1-5)
Description: SIP-based software telephone with video and chat features
 QuteCom is a Voice-over-IP application based on standard protocols like SIP
 and RTP. It enables voice, video and text chat between two clients. Features
 include a contact list with multi-protocol presence and status, call history
 and NAT traversal capability.
 .
 QuteCom is the new name of the WengoPhone project, after it was dropped by
 Wengo and taken on by MBDsys.

Package: qutecom-data
Architecture: all
Depends: ${misc:Depends}
Recommends: qutecom (>= ${source:Version})
Replaces: wengophone, qutecom (<< 2.2~rc3.dfsg1-3)
Description: SIP-based software telephone with video and chat features (data files)
 QuteCom is a Voice-over-IP application based on standard protocols like SIP
 and RTP. It enables voice, video and text chat between two clients. Features
 include a contact list with multi-protocol presence and status, call history
 and NAT traversal capability.
 .
 QuteCom is the new name of the WengoPhone project, after it was dropped by
 Wengo and taken on by MBDsys.
 .
 This package contains architecture independet data, like images and sounds.

Package: qutecom-dbg
Architecture: any
Section: debug
Priority: extra
Depends: qutecom (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SIP-based software telephone with video and chat features (debug files)
 QuteCom is a Voice-over-IP application based on standard protocols like SIP
 and RTP. It enables voice, video and text chat between two clients. Features
 include a contact list with multi-protocol presence and status, call history
 and NAT traversal capability.
 .
 QuteCom is the new name of the WengoPhone project, after it was dropped by
 Wengo and taken on by MBDsys.
 .
 This package contains debug symbols, useful to debug qutecom.

Package: wengophone
Architecture: all
Depends: qutecom (>= ${source:Version}), ${misc:Depends}
Description: SIP-based software telephone with video and chat (transitional package)
 QuteCom is the new name of the WengoPhone project, after it was dropped by
 Wengo and taken on by MBDsys.
 .
 This package is empty and is made to facilitate upgrade. It can be safely
 removed.
